<template>
	<div style="overflow-y: auto;">
		<!-- <img :src="images" style="width: 100%; height: 100%" /> -->
	</div>
</template>

<script setup>
import Header from './components/Header.vue'
import BreadCrumb from './components/BreadCrumb.vue'
import Footer from './components/Footer.vue'
import ResourceCenter from '@/views/resourceCenter/index.vue'
import EventBus from '@/utils/EventBus'
import {useRouter, useRoute} from 'vue-router'

const router = useRouter()

const indexType = ref('resourceCenter')

const images = ref('')
const ResourceDetailsRef = ref(null)

const handlerItemSidebar = (item) => {
	// emit('handlerItemSidebar', item)
}

const handleOpenResourceDetails = (item) => {
	// emit('handlerItemSidebar', item)
	// indexType.value = 'resourceDetails'
	// nextTick(() => {
	// 	console.log('看看呢', ResourceDetailsRef.value, item) /
	// 		// if (ResourceDetailsRef.value) {
	// 		// 	ResourceDetailsRef.value.setData(item)
	// 		// }
	// })
	console.log('看看呢', item)
	router.push({
		path: '/portal/resourceDetails',
		query: {
			id: item.id
		}
	})
}
onMounted(() => {
	console.log('经过我 1 ')
	// setTimeout(() => {
	// 	images.value = 'http://192.168.1.245:10005/education/2025/7/2/1940361083973906434.jpg'
	// }, 10000)
})
</script>

<style scoped>
.content {
	/* padding-left: 10%;
	padding-right: 30%; */
}
</style>
